Opened 9 years ago

Closed 8 years ago

Last modified 8 years ago

#8639 closed defect (Invalid)

GNOME Screensaver not disabled

Reported by: James Linder <jam@…> Owned by: sphery
Priority: minor Milestone: unknown
Component: MythTV - General Version: Master Head
Severity: medium Keywords:
Cc: Ticket locked: yes

Description

Various GNOME desktop, SuSE and UBUNTU distros trunk, 0.22 and 0.23 Mythfrontend says it disables DPMS ...

2010-07-02 19:55:40.616 ScreenSaverX11Private: Gnome screen saver support enabled 2010-07-02 19:55:40.618 DPMS is active. ... 2010-07-02 19:55:48.022 ScreenSaverX11Private: DPMS Deactivated 1 2010-07-02 19:55:48.022 ScreenSaverX11Private: ResetTimer? -- begin 2010-07-02 19:55:48.022 ScreenSaverX11Private: StopTimer? 2010-07-02 19:55:48.024 ScreenSaverX11Private: StartTimer? 2010-07-02 19:55:48.024 ScreenSaverX11Private: ResetTimer? -- end ... 2010-07-02 19:56:00.031 ScreenSaverX11Private: DPMS Reactivated 1 2010-07-02 19:56:00.031 ScreenSaverX11Private: StopTime?

But all through (before, during and after mythfrontend):

[haycorn] /home/jam [52]% gnome-screensaver-command -q

The screensaver is inactive

The screensaver is not inhibited

Screen saver is inhibited by running the command by hand eg gnome-screensaver-command -i

Before I go hunting is there anything I should be aware of?

Attachments (1)

mythlog (60.3 KB) - added by James Linder <jam@…> 9 years ago.

Download all attachments as: .zip

Change History (12)

comment:1 Changed 9 years ago by beirdo

Summary: Screensaver not disabledGNOME Screensaver not disabled

comment:2 Changed 9 years ago by robertm

#8684 is a dupe and contains a patch.

comment:3 Changed 9 years ago by James Linder <jam@…>

Nope this is NOT a dup. My trace does show 2010-07-23 08:33:21.816 ScreenSaverX11Private: DPMS Deactivated 1 Still the screensaver is activated If I manually deactivate it it IS deactivated.

While playing (a recording) [haycorn] /home/jam [54]% gnome-screensaver-command -q The screensaver is inactive The screensaver is not inhibited

comment:4 Changed 9 years ago by sphery

Owner: changed from Isaac Richards to sphery
Status: newassigned

comment:5 Changed 9 years ago by sphery

MythTV does not inhibit screensavers (so that even if the frontend crashes, the screensaver state will remain unchanged--and, yes, I know about the GNOME and KDE D-Bus-based approach to inhibiting). Therefore, gnome-screensaver-command -q will never report the screensaver as inhibited. Instead, MythTV issues

gnome-screensaver-command --poke

calls once per minute during playback to prevent screensaver activation. If there is a problem with GNOME screensaver support, it's likely due to a problem with gnome-screensaver-command --poke not doing what it always has in the past.

Note, also, that your screensaver timeout must be at least 2 minutes for MythTV's screensaver support to work. See ticket:7291#comment:4 .

Please retest--without manually issuing any calls to gnome-screensaver-command or xset (for dpms stuff)--and create a mythfrontend log file using -v important,general,playback and showing application startup, entering playback, and playback until the screensaver improperly activates. Then, exit playback and exit mythfrontend and upload the entire log file as an attachment (compress first if it's too large to attach).

Thanks.

Changed 9 years ago by James Linder <jam@…>

Attachment: mythlog added

comment:6 Changed 9 years ago by James Linder <jam@…>

Sorry about the long delay :-( Here is the log. In particular I saw (output |tee) 2010-08-28 20:44:58.608 ScreenSaverX11Private: Calling gnome-screensaver-command

--poke

immediately before the screen dimmed

comment:7 Changed 9 years ago by James Linder <jam@…>

OK this is definitely a gnome-screensaver issue and NOT mythtv.

gnome-screensaver-command --poke seems to work ONLY when the screensaver is active and does nothing on an inactive screensaver.

I'll check more to make certain but repeated sleep && gnome-screensaver-command --poke yields:

screen on

...

screen off

next poke turns screen back on

...

screen off

James

comment:8 Changed 9 years ago by sphery

Resolution: invalid
Status: assignedclosed

comment:9 Changed 8 years ago by pqbszccy@…

Resolution: invalid
Status: closednew

Mythtv 0.24 and Ubuntu 11.10 has the same issue. Good explanation of this issue is: https://bugs.launchpad.net/ubuntu/+source/vlc/+bug/428884. Isn't it a good idea to migrate Mythtv to the new screensaver inhibit API ?

comment:10 Changed 8 years ago by beirdo

Resolution: Invalid
Status: newclosed
Ticket locked: set

comment:11 Changed 8 years ago by stuartm

We use the API in 0.25, this won't be backported to 0.24 as the change is too big.

Note: See TracTickets for help on using tickets.